Vector BLF: Vector::BLF::MostEcl Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::MostEcl Struct Referencefinal

MOST_ECL. More...

`#include <MostEcl.h>`

Inheritance diagram for Vector::BLF::MostEcl:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader2
| ObjectHeader2 (const ObjectType objectType)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default

## Public Attributes
uint16_t | channel {}
| application channel
uint16_t | mode {}
uint16_t | eclState {}
| Electrical Control Line level.
uint16_t | reservedMostEcl {}
Public Attributes inherited from Vector::BLF::ObjectHeader2
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint8_t | timeStampStatus {}
| time stamp status
uint8_t | reservedObjectHeader {0}
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {0}
| object timestamp
uint64_t | originalTimeStamp {0}
| original object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader2
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }
enum | TimeStampStatus : uint8_t { Orig = 0x01 , SwHw = 0x02 , User = 0x10 }

## Detailed Description

MOST_ECL.

State change of the MOST Electrical Control Line.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::MostEcl::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::MostEcl::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::MostEcl::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::MostEcl::channel {}

application channel

Application channel

## ◆ eclState

uint16_t Vector::BLF::MostEcl::eclState {}

Electrical Control Line level.

mMode = 0:

- 0 – line low
- 1 – line high mMode = 1:
- 0 – sequence stopped
- 1 – sequence started

## ◆ mode

uint16_t Vector::BLF::MostEcl::mode {}

- 0 – discrete
- 1 – sequence

## ◆ reservedMostEcl

uint16_t Vector::BLF::MostEcl::reservedMostEcl {}

reserved

The documentation for this struct was generated from the following files:

- MostEcl.h
- MostEcl.cpp